Bug 1081221 - Xwayland crashing on starting gnome session
Xwayland crashing on starting gnome session
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: GNOME
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-15 17:07 UTC by Victor Zhestkov
Modified: 2018-03-19 08:19 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
journalctl messages about gjs errors from gnome-shell before crash (19.54 KB, application/x-bzip)
2018-02-17 21:30 UTC, Victor Zhestkov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Zhestkov 2018-02-15 17:07:49 UTC
Xwayland crashing every 2nd or 3rd run.

The logs of latest two crashes:

Feb 14 20:08:57 vz-thinkpad /usr/lib/gdm/gdm-wayland-session[2143]: (EE)
Feb 14 20:08:57 vz-thinkpad /usr/lib/gdm/gdm-wayland-session[2143]: Fatal server error:
Feb 14 20:08:57 vz-thinkpad /usr/lib/gdm/gdm-wayland-session[2143]: (EE) wl_drm@4: error 0: authenicate failed
Feb 14 20:08:57 vz-thinkpad /usr/lib/gdm/gdm-wayland-session[2143]: (EE)
Feb 14 20:08:57 vz-thinkpad systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Feb 14 20:08:57 vz-thinkpad systemd[1]: Started Process Core Dump (PID 2263/UID 0).
Feb 14 20:08:57 vz-thinkpad gnome-shell[2170]: X Wayland crashed; aborting
Feb 14 20:08:57 vz-thinkpad systemd[1]: Started Process Core Dump (PID 2265/UID 0).
Feb 14 20:08:57 vz-thinkpad systemd-coredump[2264]: Process 2262 (Xwayland) of user 463 dumped core.
Feb 14 20:08:57 vz-thinkpad /usr/lib/gdm/gdm-wayland-session[2143]: gnome-session-binary[2158]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 5
Feb 14 20:08:57 vz-thinkpad gnome-session-binary[2158]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 5
Feb 14 20:08:57 vz-thinkpad gdm-launch-environment][1942]: pam_unix(gdm-launch-environment:session): session closed for user gdm
Feb 14 20:08:57 vz-thinkpad gdm[1866]: GdmDisplay: display lasted 1.630263 seconds
Feb 14 20:08:57 vz-thinkpad gdm[1866]: Child process -2143 was already dead.
Feb 14 20:08:57 vz-thinkpad gdm[1866]: Child process 1942 was already dead.
Feb 14 20:08:57 vz-thinkpad gdm[1866]: Unable to kill session worker process
Feb 14 20:08:57 vz-thinkpad systemd-coredump[2266]: Process 2170 (gnome-shell) of user 463 dumped core.



Feb 15 19:40:04 vz-thinkpad gnome-shell[2139]: Failed to apply DRM plane transform 0: Permission denied
Feb 15 19:40:04 vz-thinkpad /usr/lib/gdm/gdm-wayland-session[2124]: (EE)
Feb 15 19:40:04 vz-thinkpad /usr/lib/gdm/gdm-wayland-session[2124]: Fatal server error:
Feb 15 19:40:04 vz-thinkpad /usr/lib/gdm/gdm-wayland-session[2124]: (EE) wl_drm@4: error 0: authenicate failed
Feb 15 19:40:04 vz-thinkpad /usr/lib/gdm/gdm-wayland-session[2124]: (EE)
Feb 15 19:40:04 vz-thinkpad systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Feb 15 19:40:04 vz-thinkpad systemd[1]: Started Process Core Dump (PID 2215/UID 0).
Feb 15 19:40:04 vz-thinkpad gnome-shell[2139]: X Wayland crashed; aborting
Feb 15 19:40:04 vz-thinkpad systemd[1]: Started Process Core Dump (PID 2217/UID 0).
Feb 15 19:40:04 vz-thinkpad systemd-coredump[2216]: Process 2214 (Xwayland) of user 463 dumped core.
Feb 15 19:40:04 vz-thinkpad /usr/lib/gdm/gdm-wayland-session[2124]: gnome-session-binary[2129]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 5
Feb 15 19:40:04 vz-thinkpad gnome-session-binary[2129]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 5
Feb 15 19:40:04 vz-thinkpad gdm-launch-environment][2054]: pam_unix(gdm-launch-environment:session): session closed for user gdm
Feb 15 19:40:04 vz-thinkpad gdm[1877]: GdmDisplay: display lasted 1.032455 seconds
Feb 15 19:40:04 vz-thinkpad gdm[1877]: Child process -2124 was already dead.
Feb 15 19:40:04 vz-thinkpad gdm[1877]: Child process 2054 was already dead.
Feb 15 19:40:04 vz-thinkpad gdm[1877]: Unable to kill session worker process
Feb 15 19:40:04 vz-thinkpad systemd[1]: Received SIGRTMIN+21 from PID 266 (plymouthd).
Feb 15 19:40:04 vz-thinkpad systemd[1]: Started Hold until boot process finishes up.
Feb 15 19:40:04 vz-thinkpad systemd-coredump[2218]: Process 2139 (gnome-shell) of user 463 dumped core.
Comment 1 Stefan Dirsch 2018-02-16 13:43:11 UTC
Wayland sesssion. Reassigning to GNOME component for now.
Comment 2 Frederic Crozat 2018-02-16 13:55:54 UTC
could you run coredumpctl gdb /usr/bin/Xwayland 
and then "bt"

and paste the result ?
Comment 3 Victor Zhestkov 2018-02-17 21:04:33 UTC
#0  0x00007f5ef4aac0d0 in raise () from /lib64/libc.so.6
#1  0x00007f5ef4aad6b1 in abort () from /lib64/libc.so.6
#2  0x0000562fcf229b0a in OsAbort ()
#3  0x0000562fcf22f5d3 in ?? ()
#4  0x0000562fcf2303f5 in FatalError ()
#5  0x0000562fcf0bb53c in ?? ()
#6  0x00007f5ef6ac0ffa in ?? () from /usr/lib64/libwayland-client.so.0
#7  0x00007f5ef6abca08 in ?? () from /usr/lib64/libwayland-client.so.0
#8  0x00007f5ef465b6bd in ?? () from /usr/lib64/libffi.so.7
#9  0x00007f5ef465abcf in ?? () from /usr/lib64/libffi.so.7
#10 0x00007f5ef6ac014b in ?? () from /usr/lib64/libwayland-client.so.0
#11 0x00007f5ef6abcce8 in ?? () from /usr/lib64/libwayland-client.so.0
#12 0x00007f5ef6abdf77 in wl_display_dispatch_queue_pending () from /usr/lib64/libwayland-client.so.0
#13 0x00007f5ef6abe3cb in wl_display_roundtrip_queue () from /usr/lib64/libwayland-client.so.0
#14 0x0000562fcf0bb83c in ?? ()
#15 0x0000562fcf1ec857 in AddScreen ()
#16 0x0000562fcf0bcbd2 in InitOutput ()
#17 0x0000562fcf1f03f3 in ?? ()
#18 0x00007f5ef4a96f4a in __libc_start_main () from /lib64/libc.so.6
#19 0x0000562fcf0bb16a in _start ()


Sometimes the system also could hang on logging out from GNOME, just show login screen and all external interfaces stops, wifi, ethernet. I also can't invoke Magic SysRq for some reasons.
Comment 4 Victor Zhestkov 2018-02-17 21:17:34 UTC
Previous session hangs on gnome-shell. Here is the backtrace of it:
#0  0x00007f073c1dd981 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f073c1de9bc in g_log_default_handler () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f073c1dec4d in g_logv () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f073c1dedbf in g_log () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f073a71c584 in ?? () from /usr/lib64/libmutter-1.so.0
#5  0x00007f073c784183 in ?? () from /usr/lib64/libgio-2.0.so.0
#6  0x00007f073c7841b9 in ?? () from /usr/lib64/libgio-2.0.so.0
#7  0x00007f073c1d7dc5 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#8  0x00007f073c1d8190 in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f073c1d84a2 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f073a71cce7 in meta_xwayland_start () from /usr/lib64/libmutter-1.so.0
#11 0x00007f073a71c13e in meta_wayland_init () from /usr/lib64/libmutter-1.so.0
#12 0x00007f073a6ed175 in meta_init () from /usr/lib64/libmutter-1.so.0
#13 0x00005596365b536a in ?? ()
#14 0x00007f073a091f4a in __libc_start_main () from /lib64/libc.so.6
#15 0x00005596365b57ba in ?? ()

And it seems it crashes quite often:
coredumpctl list /usr/bin/gnome-shell
TIME                            PID   UID   GID SIG COREFILE  EXE
Sun 2018-01-21 12:38:28 MSK    1872   463   462   5 missing   /usr/bin/gnome-shell
Mon 2018-01-22 22:14:53 MSK    1937   463   462   5 missing   /usr/bin/gnome-shell
Tue 2018-01-23 22:42:26 MSK    1928   463   462   5 missing   /usr/bin/gnome-shell
Fri 2018-01-26 22:37:03 MSK    1922   463   462   5 missing   /usr/bin/gnome-shell
Tue 2018-01-30 10:11:20 MSK    2015   463   462   5 missing   /usr/bin/gnome-shell
Tue 2018-01-30 17:39:40 MSK    4255  1000   100  11 none      /usr/bin/gnome-shell
Fri 2018-02-02 10:57:20 MSK    2056   463   462   5 missing   /usr/bin/gnome-shell
Fri 2018-02-02 11:30:40 MSK    2120   463   462   5 missing   /usr/bin/gnome-shell
Fri 2018-02-02 18:25:16 MSK    2074   463   462   5 missing   /usr/bin/gnome-shell
Sat 2018-02-03 13:34:35 MSK    2104   463   462   5 missing   /usr/bin/gnome-shell
Sat 2018-02-03 15:57:38 MSK    2170   463   462   5 missing   /usr/bin/gnome-shell
Fri 2018-02-09 17:25:49 MSK    2245   463   462   5 missing   /usr/bin/gnome-shell
Fri 2018-02-09 17:39:14 MSK    2140   463   462   5 missing   /usr/bin/gnome-shell
Sat 2018-02-10 14:37:49 MSK    2200   463   462   5 missing   /usr/bin/gnome-shell
Sun 2018-02-11 10:51:04 MSK    2192   463   462   5 missing   /usr/bin/gnome-shell
Wed 2018-02-14 20:08:57 MSK    2170   463   462   5 missing   /usr/bin/gnome-shell
Thu 2018-02-15 19:40:04 MSK    2139   463   462   5 present   /usr/bin/gnome-shell
Sat 2018-02-17 23:41:00 MSK    2911  1000   100  11 present   /usr/bin/gnome-shell
Sat 2018-02-17 23:52:16 MSK    3405  1000   100   5 present   /usr/bin/gnome-shell
Sat 2018-02-17 23:54:03 MSK    2187   463   462   5 present   /usr/bin/gnome-shell
Sat 2018-02-17 23:56:39 MSK    2172   463   462   5 present   /usr/bin/gnome-shell

coredumpctl list /usr/bin/Xwayland
TIME                            PID   UID   GID SIG COREFILE  EXE
Sun 2018-01-21 12:38:28 MSK    1950   463   462   6 missing   /usr/bin/Xwayland
Mon 2018-01-22 22:14:53 MSK    2044   463   462   6 missing   /usr/bin/Xwayland
Tue 2018-01-23 22:42:26 MSK    2012   463   462   6 missing   /usr/bin/Xwayland
Fri 2018-01-26 22:37:03 MSK    2004   463   462   6 missing   /usr/bin/Xwayland
Tue 2018-01-30 10:11:19 MSK    2105   463   462   6 missing   /usr/bin/Xwayland
Fri 2018-02-02 10:57:20 MSK    2182   463   462   6 missing   /usr/bin/Xwayland
Fri 2018-02-02 11:30:40 MSK    2172   463   462   6 missing   /usr/bin/Xwayland
Fri 2018-02-02 18:25:16 MSK    2128   463   462   6 missing   /usr/bin/Xwayland
Sat 2018-02-03 13:34:35 MSK    2161   463   462   6 missing   /usr/bin/Xwayland
Sat 2018-02-03 15:57:38 MSK    2378   463   462   6 missing   /usr/bin/Xwayland
Fri 2018-02-09 17:25:49 MSK    2318   463   462   6 missing   /usr/bin/Xwayland
Fri 2018-02-09 17:39:14 MSK    2317   463   462   6 missing   /usr/bin/Xwayland
Sat 2018-02-10 14:37:49 MSK    2280   463   462   6 missing   /usr/bin/Xwayland
Sun 2018-02-11 10:51:04 MSK    2242   463   462   6 missing   /usr/bin/Xwayland
Wed 2018-02-14 20:08:57 MSK    2262   463   462   6 missing   /usr/bin/Xwayland
Thu 2018-02-15 19:40:04 MSK    2214   463   462   6 present   /usr/bin/Xwayland
Sat 2018-02-17 23:41:01 MSK    2930  1000   100   6 present   /usr/bin/Xwayland
Sat 2018-02-17 23:54:03 MSK    2236   463   462   6 present   /usr/bin/Xwayland
Sat 2018-02-17 23:56:39 MSK    2232   463   462   6 present   /usr/bin/Xwayland
Comment 5 Victor Zhestkov 2018-02-17 21:22:41 UTC
The backtrace of the cores:

Sat 2018-02-17 23:41:01 MSK    2930  1000   100   6 present   /usr/bin/Xwayland

#0  0x00007f280292f0d0 in raise () from /lib64/libc.so.6
#1  0x00007f28029306b1 in abort () from /lib64/libc.so.6
#2  0x0000561b9c0dbb0a in OsAbort ()
#3  0x0000561b9c0e15d3 in ?? ()
#4  0x0000561b9c0e23f5 in FatalError ()
#5  0x0000561b9bf6db0f in ?? ()
#6  0x0000561b9c0d9681 in ?? ()
#7  0x0000561b9c0d258b in WaitForSomething ()
#8  0x0000561b9c09e363 in ?? ()
#9  0x0000561b9c0a2600 in ?? ()
#10 0x00007f2802919f4a in __libc_start_main () from /lib64/libc.so.6
#11 0x0000561b9bf6d16a in _start ()

Sat 2018-02-17 23:41:00 MSK    2911  1000   100  11 present   /usr/bin/gnome-shell
#0  0x00007fc6f0c02b62 in g_type_check_instance_cast () from /usr/lib64/libgobject-2.0.so.0
#1  0x00007fc6ee3627f8 in st_label_set_text () from /usr/lib64/gnome-shell/libst-1.0.so
#2  0x00007fc6ea8056bd in ?? () from /usr/lib64/libffi.so.7
#3  0x00007fc6ea804bcf in ?? () from /usr/lib64/libffi.so.7
#4  0x00007fc6ef8b4360 in ?? () from /usr/lib64/libgjs.so.0
#5  0x00007fc6ef8b5b34 in ?? () from /usr/lib64/libgjs.so.0
#6  0x00002acd26447810 in ?? ()
#7  0x00000000d4c53e58 in ?? ()
#8  0x00007fffc6376ca0 in ?? ()
#9  0x0000000000000000 in ?? ()
Comment 6 Victor Zhestkov 2018-02-17 21:30:41 UTC
Created attachment 760472 [details]
journalctl messages about gjs errors from gnome-shell before crash
Comment 7 xiaoguang wang 2018-02-22 01:42:16 UTC
Could you remove extension 'Sensory Perception', and try again?
I suspect this extension cause coredump.
Comment 8 Victor Zhestkov 2018-02-23 14:12:28 UTC
I've deleted the extension, there are no crashes in a day or two, but the other messages, I suppose related to another issue I've reported https://bugzilla.opensuse.org/show_bug.cgi?id=1081226

I suppose it's an issue of gjs library that the code of the extension can cause a crash of whole gnome session.
Comment 9 Victor Zhestkov 2018-03-08 20:28:13 UTC
The latest backtraces of the coredumps;

(gdb) bt
#0  0x00007fe6d7c399eb in raise () from /lib64/libc.so.6
#1  0x00007fe6d7c3ada1 in abort () from /lib64/libc.so.6
#2  0x000055cab5b71bea in OsAbort ()
#3  0x000055cab5b776b3 in ?? ()
#4  0x000055cab5b784d5 in FatalError ()
#5  0x000055cab5a0361c in ?? ()
#6  0x00007fe6d9c9fffa in ?? () from /usr/lib64/libwayland-client.so.0
#7  0x00007fe6d9c9ba08 in ?? () from /usr/lib64/libwayland-client.so.0
#8  0x00007fe6d77e86bd in ?? () from /usr/lib64/libffi.so.7
#9  0x00007fe6d77e7bcf in ?? () from /usr/lib64/libffi.so.7
#10 0x00007fe6d9c9f14b in ?? () from /usr/lib64/libwayland-client.so.0
#11 0x00007fe6d9c9bce8 in ?? () from /usr/lib64/libwayland-client.so.0
#12 0x00007fe6d9c9cf77 in wl_display_dispatch_queue_pending () from /usr/lib64/libwayland-client.so.0
#13 0x00007fe6d9c9d3cb in wl_display_roundtrip_queue () from /usr/lib64/libwayland-client.so.0
#14 0x000055cab5a0391c in ?? ()
#15 0x000055cab5b34937 in AddScreen ()
#16 0x000055cab5a04cd2 in InitOutput ()
#17 0x000055cab5b384d3 in ?? ()
#18 0x00007fe6d7c24a87 in __libc_start_main () from /lib64/libc.so.6
#19 0x000055cab5a0318a in _start ()


(gdb) bt
#0  0x00007fc9c9d8c9eb in raise () from /lib64/libc.so.6
#1  0x00007fc9c9d8dda1 in abort () from /lib64/libc.so.6
#2  0x000055f1457e0bea in OsAbort ()
#3  0x000055f1457e66b3 in ?? ()
#4  0x000055f1457e74d5 in FatalError ()
#5  0x000055f14567261c in ?? ()
#6  0x00007fc9cbdf2ffa in ?? () from /usr/lib64/libwayland-client.so.0
#7  0x00007fc9cbdeea08 in ?? () from /usr/lib64/libwayland-client.so.0
#8  0x00007fc9c993b6bd in ?? () from /usr/lib64/libffi.so.7
#9  0x00007fc9c993abcf in ?? () from /usr/lib64/libffi.so.7
#10 0x00007fc9cbdf214b in ?? () from /usr/lib64/libwayland-client.so.0
#11 0x00007fc9cbdeece8 in ?? () from /usr/lib64/libwayland-client.so.0
#12 0x00007fc9cbdeff77 in wl_display_dispatch_queue_pending () from /usr/lib64/libwayland-client.so.0
#13 0x00007fc9cbdf03cb in wl_display_roundtrip_queue () from /usr/lib64/libwayland-client.so.0
#14 0x000055f14567291c in ?? ()
#15 0x000055f1457a3937 in AddScreen ()
#16 0x000055f145673cd2 in InitOutput ()
#17 0x000055f1457a74d3 in ?? ()
#18 0x00007fc9c9d77a87 in __libc_start_main () from /lib64/libc.so.6
#19 0x000055f14567218a in _start ()


Seems identical. The latest packages from Tumbleweed repository installed.
Comment 10 Frederic Crozat 2018-03-12 09:36:32 UTC
(In reply to Victor Zhestkov from comment #9)
> The latest backtraces of the coredumps;

Unfortunately, the trace is not useful, because it misses debug information.

Please try to install more debuginfo packages (gdb is probably giving your a list).

Thanks !
Comment 11 Atri Bhattacharya 2018-03-17 01:02:38 UTC
Could be the same problem on mine, could be crashing for entirely different reasons; I don't know. If it is the latter, I would be happy to open a new bug. The first Xwayland coredump is from: Sun 2018-02-04 05:50:52 CET

Since then there are numerous more (`wc -l` says 75), with the last one just now (after upgrade to TW 20180314). I got a bt for this one:

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#1  0x00007f1c200b8da1 in __GI_abort () at abort.c:79
#2  0x000055ce563587ca in OsAbort () at utils.c:1361
#3  0x000055ce5635e293 in AbortServer () at log.c:877
#4  0x000055ce5635f0b5 in FatalError (f=f@entry=0x55ce56367dda "%s") at log.c:1015
#5  0x000055ce561ea35c in xwl_log_handler (format=<optimized out>, args=<optimized out>) at xwayland.c:905
#6  0x00007f1c2211dffa in wl_log (fmt=<optimized out>) at src/wayland-util.c:406
#7  0x00007f1c22119a08 in display_handle_error (data=<optimized out>, display=0x55ce575714a0, object=0x55ce57575a10, code=0, message=<optimized out>)
    at src/wayland-client.c:810
#8  0x00007f1c1fc666bd in ffi_call_unix64 () at ../src/x86/unix64.S:101
#9  0x00007f1c1fc65bcf in ffi_call_int (cif=cif@entry=0x7ffc5898e450, fn=<optimized out>, rvalue=<optimized out>, rvalue@entry=0x0, 
    avalue=avalue@entry=0x7ffc5898e520, closure=closure@entry=0x0) at ../src/x86/ffi64.c:662
#10 0x00007f1c1fc661fd in ffi_call (cif=cif@entry=0x7ffc5898e450, fn=<optimized out>, rvalue=rvalue@entry=0x0, avalue=avalue@entry=0x7ffc5898e520)
    at ../src/x86/ffi64.c:674
#11 0x00007f1c2211d14b in wl_closure_invoke (closure=<optimized out>, flags=<optimized out>, target=<optimized out>, opcode=0, data=<optimized out>)
    at src/connection.c:935
#12 0x00007f1c22119ce8 in dispatch_event (display=display@entry=0x55ce575714a0, queue=<optimized out>) at src/wayland-client.c:1310
#13 0x00007f1c2211af77 in dispatch_queue (queue=0x55ce57571568, display=0x55ce575714a0) at src/wayland-client.c:1449
#14 wl_display_dispatch_queue_pending (display=0x55ce575714a0, queue=0x55ce57571568) at src/wayland-client.c:1698
#15 0x00007f1c2211b3cb in wl_display_roundtrip_queue (display=0x55ce575714a0, queue=0x55ce57571568) at src/wayland-client.c:1121
#16 0x00007f1c2211b41c in wl_display_roundtrip (display=<optimized out>) at src/wayland-client.c:1150
#17 0x000055ce561ea65c in xwl_screen_init (pScreen=pScreen@entry=0x55ce57568b90, argc=argc@entry=14, argv=argv@entry=0x7ffc5898e938) at xwayland.c:826
#18 0x000055ce5631b677 in AddScreen (pfnInit=pfnInit@entry=0x55ce561ea360 <xwl_screen_init>, argc=argc@entry=14, argv=argv@entry=0x7ffc5898e938)
    at dispatch.c:3916
#19 0x000055ce561eba12 in InitOutput (screen_info=screen_info@entry=0x55ce565f1040 <screenInfo>, argc=argc@entry=14, argv=argv@entry=0x7ffc5898e938)
    at xwayland.c:945
#20 0x000055ce5631f213 in dix_main (argc=14, argv=0x7ffc5898e938, envp=<optimized out>) at main.c:197
#21 0x00007f1c200a2a87 in __libc_start_main (main=0x55ce561e9e90 <main>, argc=14, argv=0x7ffc5898e938, init=<optimized out>, fini=<optimized out>, 
    rtld_fini=<optimized out>, stack_end=0x7ffc5898e928) at ../csu/libc-start.c:308
#22 0x000055ce561e9eca in _start () at ../sysdeps/x86_64/start.S:120
Comment 12 Atri Bhattacharya 2018-03-17 01:05:04 UTC
(In reply to Atri Bhattacharya from comment #11)
HiDPI display, in case this is relevant: 2880x1920
Comment 13 Victor Zhestkov 2018-03-18 19:50:13 UTC
I've moved to GNOME:Next repo and Xorg Factory repo to get the info with debuginfo packages, but tested for a week and there were no crashes during this time. On this repos everything looks fine.
Comment 14 Dominique Leuenberger 2018-03-19 08:19:04 UTC
(In reply to Victor Zhestkov from comment #13)
> I've moved to GNOME:Next repo and Xorg Factory repo to get the info with
> debuginfo packages, but tested for a week and there were no crashes during
> this time. On this repos everything looks fine.

GNOME:Next has currently no relevant changes compared to openSUSE Tumbleweed; since snapshot 0314, all of GNOME:Next is merged